/***************************************************************************
                          elementstyle.h  -  description
                             -------------------
    begin                : Son Nov 10 2002
    copyright            : (C) 2002 by Andr Simon
    email                : andre.simon1@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ELEMENTSTYLE_H
#define ELEMENTSTYLE_H

#include "stylecolour.h"


/**Definiert Stilabgaben eines Textelements wie zB Kommentar oder Keyword
  *@author Andr Simon
  */
using namespace std;

class ElementStyle
  {

  private:
    StyleColour colour;
    bool bold, italic, underline;

  public:
    ElementStyle(StyleColour col, bool b, bool i, bool u);
    //Parst PArameter aus hsd-Datei
    ElementStyle(const string & elementStyleString);
    ~ElementStyle();
    bool isItalic();
    bool isBold();
    bool isUnderline();
    StyleColour *getColour();
  };

#endif
