/***************************************************************************
                          help.cpp  -  description
                             -------------------
    begin                : Die Apr 23 2002
    copyright            : (C) 2002 by Andr Simon
    email                : andre.simon1@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "help.h"
#include "datadir.h"
#include <iostream>
#include <fstream>


namespace Help
  {

/** gibt Hilfetext auf Konsole aus */

 void printHelp(const std::string &errMsg, const std::string & lang)
 {
    string helpPath = DataDir::getHelpMsgDir();
    helpPath += lang;
    helpPath += ".help";
    ifstream helpFile(helpPath.c_str());
     string line;
    if (helpFile){
      cout << endl;
       while (getline(helpFile, line))
        cout << line << endl;
      helpFile.close();
    }
    else {
     cerr <<"highlight: Could not read "<< helpPath << endl;
    }
 }

}
