/***************************************************************************
                          stylecolour.h  -  description
                             -------------------
    begin                : Die Nov 5 2002
    copyright            : (C) 2002 by Andr Simon
    email                : andre.simon1@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef STYLECOLOUR_H
#define STYLECOLOUR_H

#include <string>

using namespace std;

/**speichert RGB - Werte der Farben und gibt sie in den verschiedenen Formaten zurck
  *@author Andr Simon
  */

class StyleColour
  {
  public:
    StyleColour(const string & r_hex, const string & g_hex, const string & b_hex);
    //Parst PArameter aus hsd-Datei
    StyleColour(const string & styleColourString);

    StyleColour();
    ~StyleColour()
    {}
    ;
    void setRedValue(const string & r_hex);
    void setGreenValue(const string & g_hex);
    void setBlueValue(const string & b_hex);

    string getHTMLRedValue();
    string getHTMLGreenValue();
    string getHTMLBlueValue();

    string getLatexRedValue();
    string getLatexGreenValue();
    string getLatexBlueValue();

    string getTexRedValue();
    string getTexGreenValue();
    string getTexBlueValue();


    string getRTFRedValue();
    string getRTFGreenValue();
    string getRTFBlueValue();

  private:
    string r, g, b;
    string int2str(int);
    string float2str(double);
    int StyleColour::hex2dec(const string &hexVal);
  };

#endif
