#!/bin/sh
# Simple script so copy needed files to a known directory.
# If someone knows how to include this in a makefile please send a hint
# to andre.simon1 at gmx.de

echo "Hello! This will copy the highlight files to /usr/share/highlight/"

mkdir /usr/share/highlight
mkdir /usr/share/highlight/themes
mkdir /usr/share/highlight/langDefs
mkdir /usr/share/highlight/cgi
mkdir /usr/share/highlight/helpmsg

install -m644 ./langDefs/*.lang /usr/share/highlight/langDefs/
install -m644 ./langDefs/extensions.conf /usr/share/highlight/
install -m644 ./themes/* /usr/share/highlight/themes/
install -m644 ./man/highlight.1.gz /usr/share/man/man1/
install -m644 ./AUTHORS /usr/share/highlight/
install -m644 ./README /usr/share/highlight/
install -m644 ./ChangeLog /usr/share/highlight/
install -m644 ./COPYING /usr/share/highlight/
install -m644 ./INSTALL /usr/share/highlight/
install -m644 ./cgi/* /usr/share/highlight/cgi/
install -m644 ./helpmsg/* /usr/share/highlight/helpmsg/


